Summary:    Switch-level simulator
Name:       irsim
Version:    9.7.12
Release:    1
License:    GPL
Group:      Applications/Engineering
URL:        http://opencircuitdesign.com/irsim/index.html
Source:     http://opencircuitdesign.com/irsim/archive/%{name}-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: tcl-devel, tk-devel

%description
IRSIM is a tool for simulating digital circuits. It is a "switch-level"
simulator; that is, it treats transistors as ideal switches. Extracted
capacitance and lumped resistance values are used to make the switch a little
bit more realistic than the ideal, using the RC time constants to predict the
relative timing of events.

%prep
%setup

%build
./configure --prefix=%{_prefix} \
            --bindir=%{_bindir} \
            --libdir=%{_libdir} \
            --mandir=%{_mandir} \
            --with-tcl=%{_libdir} \
            --with-tk=%{_libdir} \
            --with-tcllibs=%{_libdir} \
            --with-tklibs=%{_libdir}
make

%install
rm -rf %{buildroot}
make install \
  prefix=%{buildroot}%{_prefix} \
  bindir=%{buildroot}%{_bindir} \
  libdir=%{buildroot}%{_libdir} \
  mandir=%{buildroot}%{_mandir}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README VERSION
%{_bindir}/*
%{_libdir}/irsim/*
%{_mandir}/*

%changelog
* Sun Jan 01 2006 Eric Work <ewwork@ucdavis.edu>
- Rebuild for irsim-9.7.12
